package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Irs;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface IrsMapper {

    int insert(Irs record);

    int insertSelective(Irs record);

    int updateByPrimaryKeySelective(Irs record);

    int updateByPrimaryKey(Irs record);

    int deleteByPrimaryKey(Irs record);

    int deleteByIds(Collection<Object> collection);

    Irs selectByPrimaryKey(Irs record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Irs> dyncRead(Map<String, Object> dyncMap);

    List<Irs> selectIrsByConditionSql(@Param(value = "conditionSql") String conditionSql);
}